Skip to main content

List the members of an organization

GET 

/orgs/{org}/members

List the paginated details of the members of an organization.

Path Parameters​


    org string<handle>required

    The handle of the organization.

    Possible values: non-empty and <= 50 characters

Query Parameters​


    page integer<int32>

    The index of the page.

    Possible values: >= 1

    Default value: 1

    page-size integer<int32>

    The maximum size of the pages.

    Possible values: >= 1 and <= 50

    Default value: 20

    sort string

    The criteria used to sort the members.

    Possible values: [handle, createdAt]

    Default value: handle

    search string

    The term used to search the members by handle or alias.


    after any

    The term used to search members after or equal to the specified date.


    before any

    The term used to search members before or equal to the specified date.

Responses​

The requested page of the list of members of the organization

Headers

  • Page-Totalinteger

    The total number of pages available.

  • Page-Sizeinteger

    The selected maximum size of the pages.

  • Page-Currentinteger

    The index of the requested page.

  • Item-Totalinteger

    The total number of items.

Response Body

application/json
  • Array [


  • idstringrequired

    The UUID of the user. Is unique.

    Format: string<uuid>
    Example: 00000000-0000-0000-0000-000000000000

    handlestringrequired

    The handle of the user. Is unique.

    Format: string<handle>
    Example: user-a

    aliasstring | nullrequired

    The alias of the user.

    Format: string,null<alias>
    Example: User A

    emailstringrequired

    The email of the user. Is unique.

    Format: string<email>
    Example: user.a@email.com

    emailVerifiedboolean

    Indicates whether the email of the user has been verified.

    Example: true

    statestringrequired

    The state of the user.

    Format: UserState (string)

    Possible values: [verified, unverified, blocked]

    Example: verified

    orgsintegerrequired

    The number of organizations of the user.

    Format: integer<int32>
    Example: 10

    spacesintegerrequired

    The number of spaces of the user.

    Format: integer<int32>
    Example: 10

    createdAtstringrequired

    The date and time when the user was created.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z
  • ]

Example from Schema​

[
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "user-a",
"alias": "User A",
"email": "user.a@email.com",
"emailVerified": true,
"state": "verified",
"orgs": 10,
"spaces": 10,
"createdAt": "2023-01-01T00:00:00.000000Z"
}
]